Skip to main content
POST
Error

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique loyalty program ID (format lprg_[a-f0-9]+).

Pattern: ^lprg_[a-f0-9]+$

Body

application/json
customer_id
string
required

Unique Voucherify customer ID of an existing customer to enroll as a member. Required.

Pattern: ^cust_[a-zA-Z0-9]+
status
enum<string> | null
default:ACTIVE

Initial member status. Defaults to ACTIVE when omitted or null.

Available options:
ACTIVE,
INACTIVE
metadata
object | null

Free-form metadata attached to the member. Validated against the metadata schema defined for the vl_member related object (when one is configured). Defaults to an empty object.

Response

Batch creation has been scheduled.

Result of scheduling the members batch creation.

async_action_id
string
required

ID of the scheduled async action processing the batch.

Pattern: ^aa_[a-f0-9]+$
Last modified on July 29, 2026